﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Home page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <hr />
    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.agreements[0].Name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.agreements[0].Description)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.agreements[0].Amount)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.agreements)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        @(item.Description != null ? item.Description : "no entry")
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Amount)
                    </td>
                </tr>            
             }
        </tbody>
    </table>
</div>
